<?php

namespace STM\Competition\Season;

use \GetterOfTestingInstances;
use \Exception;
use STM\StmFactory;

/**
 * Test class for Season.
 * Generated by PHPUnit on 2011-09-15 at 17:22:12.
 * @group competition_season
 */
class SeasonTest extends \PHPUnit_Framework_TestCase {

    private $all_seasons;
    private $all_teams;
    private $bad_values;

    protected function setUp() {
        $this->bad_values = array(null, false, array(), new Exception(),);
        $this->all_teams = StmFactory::find()->Team->findAll();
        $this->all_seasons = GetterOfTestingInstances::find_seasons();
    }

    protected function tearDown() {}

    public function testfindById() {
        foreach ($this->bad_values as $value) {
            $this->assertFalse(Season::findById($value));
        }
        foreach ($this->all_seasons as $season) {
            parent::assertInstanceOf('STM\Competition\Season\Season', Season::findById($season->getId()));
            parent::assertInstanceOf('STM\Competition\Competition', Season::findById($season->getId()));
        }
    }

    public function testCreate() {
        foreach ($this->bad_values as $value) {
            SeasonValidator::init();
            $this->assertFalse(Season::create($value));
        }
    }

    public function testDelete() {
        $this->markTestIncomplete('Only database fail.');
    }

    public function testUpdate_season() {
        $this->markTestIncomplete('tests in SeasonValidatorTest');
    }

}

?>
